# Bulk Transfer ERC1155

### Bulk transfer: transferring several ERC1155 token from the same collection

This endpoint can only be used to transfer several ERC1155 tokens from the **same collection** to a **single recipient**.

## Transfers several ERC1155 tokens of a particular collection from your developer wallet to a user

<mark style="color:green;">`POST`</mark> `https://api.alturanft.com/api/v2/item/transfer`

Takes a collection address, array of tokenIds, array of amounts, the recipient's address (to), and your API key and transfers the ERC1155 tokensto the recipient

#### Query Parameters

| Name                                     | Type   | Description  |
| ---------------------------------------- | ------ | ------------ |
| apiKey<mark style="color:red;">\*</mark> | String | Your API key |

#### Request Body

| Name                                       | Type          | Description                                                                                                                              |
| ------------------------------------------ | ------------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| address<mark style="color:red;">\*</mark>  | String        | The items' collection address                                                                                                            |
| tokenIds<mark style="color:red;">\*</mark> | Integer Array | An array of the token Id's you wish to transfer from the specified collection                                                            |
| amounts<mark style="color:red;">\*</mark>  | Integer Array | <p>An array of the amount of each tokenId you wish to transfer</p><p></p><p>This array must be the same length as the tokenIds array</p> |
| to<mark style="color:red;">\*</mark>       | String        | The recipient's EVM-compatible address (0x...)                                                                                           |
| chainId<mark style="color:red;">\*</mark>  | integer       | the collection's chain id                                                                                                                |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
The `TOKEN_IDS` and `AMOUNTS` the array should correspond via their index.&#x20;

For example TOKEN\_IDS = \[1, 2, 3] and AMOUNTS = \[1, 1, 2] will transfer one item of tokenId 1, one item of tokenId 2 and 2 items of tokenId 3
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/developer-wallet-endpoints/bulk-transfer-erc1155.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
